- name: Isolate CPU Core
  hosts: all
  tasks:
    - name: Edit GRUB configuration file
      lineinfile:
        path: /etc/default/grub
        regexp: "^GRUB_CMDLINE_LINUX_DEFAULT="
        line: 'GRUB_CMDLINE_LINUX_DEFAULT="quiet splash isolcpus=2"'
        state: present
    - name: Update GRUB configuration
      command: update-grub
      notify: Reboot machine

  handlers:
    - name: Reboot machine
      command: reboot
      async: 0
      poll: 0
      become: yes
